.login {
  @include main-font-style();
  &-container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    background-color: $login-bg-color;
  }
  &-content {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    &__logo {
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      margin-bottom: 20px;
      img {
        width: 100px;
        margin-bottom: 10px;
      }
      &-title {
        font-family: "Arial Rounded MT Bold", "Helvetica Rounded", Arial, sans-serif;
        font-weight: bold;
        font-style: normal;
        font-size: cal-rem(25px);
        color: #fff;
      }
    }
    &__form {
      width: 300px;
      .ui {
        &.input {
          margin-bottom: 20px;
          position: relative;
          +.text_alert {
            height: 20px;
            font-size: 0.85em;
            i.icon {
              margin: 0;
            }
          }
          input {
            text-align: left;
            color: $login-input-color;
            width: $login-input-width;
            height: $login-input-height;
            background-color: $login-input-bg-color;
            border: 1px solid darken($login-input-bg-color, 3);
            &:focus {
              box-shadow: inset 0px 1px 1px rgba(#000000, .2);
              border: 1px solid darken($login-input-bg-color, 6);
            }
          }
        }
      } 
    }
    &__link {
      display: block;
      margin-top: 5px;
      font-size: 0.85em;
      letter-spacing: 1px;
      text-decoration: underline;
      a {
        color: #fff;
        cursor: pointer;
      }
    }
  }
  &-message {
    &._show-block {
      padding: 5px;
      color: $login-btn-bg-color;
      &::before {
        content: "\e917";
        @include font-icon();
        margin-right: 5px;
        color: $login-btn-bg-color;
      }
    }
  }
}
